Skip to content

# Class: NotificationsStore

## Hierarchy

- NotificationsStore

## Index

### Properties

- autoHideTimers
- notifications

### Methods

- add
- addAutoHideTimer
- getById
- remove
- removeAutoHideTimer

## Properties

### `Protected` autoHideTimers

• autoHideTimers: Map‹string | number, number› = new Map()

Defined in src/renderer/components/notifications/notifications.store.tsx:28

### notifications

• notifications: IObservableArray‹Notification› = observable.array([], { deep: false })

Defined in src/renderer/components/notifications/notifications.store.tsx:26

## Methods

### add

▸ add(`notification`: Notification): function

Defined in src/renderer/components/notifications/notifications.store.tsx:55

Parameters:

Name | Type
--- | ---
`notification` | Notification

Returns: function

▸ (): void

### addAutoHideTimer

▸ addAutoHideTimer(`id`: NotificationId): void

Defined in src/renderer/components/notifications/notifications.store.tsx:34

Parameters:

Name | Type
--- | ---
`id` | NotificationId

Returns: void

### getById

▸ getById(`id`: NotificationId): Notification | null

Defined in src/renderer/components/notifications/notifications.store.tsx:30

Parameters:

Name | Type
--- | ---
`id` | NotificationId

Returns: Notification | null

### remove

▸ remove(`id`: NotificationId): void

Defined in src/renderer/components/notifications/notifications.store.tsx:72

Parameters:

Name | Type
--- | ---
`id` | NotificationId

Returns: void

### removeAutoHideTimer

▸ removeAutoHideTimer(`id`: NotificationId): void

Defined in src/renderer/components/notifications/notifications.store.tsx:47

Parameters:

Name | Type
--- | ---
`id` | NotificationId

Returns: void